/*
 * @Author       : ChenJie
 * @Date         : 2022-01-23 13:45:09
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-02-23 16:59:13
 * @Description  : file content
 * @FilePath     : \S32K146_4G\src\AppGlobalVar.c
 */
/*
 * AppGlobalVar.c
 *Ӧòȫֱ
 *  Created on: 2022119
 *      Author: QiXiang_CHENJIE
 */

#include "AppGlobalVar.h"
//

//*ȫֱ*//
uint8 TcpbattSN[17] = {0x31}; //ϴSN
uint8 VIN[17] = {0};
volatile uint32 TimerCounter = 0; // msλ
/*GPS*/
QueueHandle_t GpsDataQueueHandle;
sint16 xyzData[3] = {0};
/*Hal_Can*/
uint8 CanIf_u8TxConfirmCnt = 0U;
boolean CanIf_bTxFlag = false;
uint8 CanIf_u8RxIndicationCnt = 0U;
boolean CanIf_bRxFlag = false;
QueueHandle_t CanRecvQueueHandle;

/*TCPر*/
char ImeiNum[15] = {0};
char IccidNum[20] = {0};
uint8 CSQValue = 0;
sint8 SocketId = -1;
char WebSiteIp[15] = {0};
const char WebSiteName[] = "\"iotp.fast-fun.cn\"";
const uint16 WebSitePort = 8712;

#define EEP_START_SEC_VAR_INIT_8_NO_CACHEABLE
#include "Eep_MemMap.h"
VAR_ALIGN(uint8 dataWrTestPatt[EEP_WRTESTPATT_SIZE],4)
VAR_ALIGN(uint8 BufferRead[EEP_WRTESTPATT_SIZE],4)
/* Data write to eeprom device */
uint8 dataWrTestPatt[EEP_WRTESTPATT_SIZE]=
{
    0x01, 0x02, 0x03, 0x04,
    0x11, 0x12, 0x13, 0x14,
    0x21, 0x22, 0x23, 0x24,
    0x31, 0x32, 0x33, 0x34,
    0x41, 0x42, 0x43, 0x44,
    0x51, 0x52, 0x53, 0x54,
    0x61, 0x62, 0x63, 0x64,
    0x71, 0x72, 0x73, 0x74,0x23
};

uint8 BufferRead[EEP_WRTESTPATT_SIZE] = {0};

#define EEP_STOP_SEC_VAR_INIT_8_NO_CACHEABLE
#include "Eep_MemMap.h"

/*±ΪЭر*/
#ifdef APP_UART0_ENABLE
AppDataBody AppDataInfo = {BMS_CELLNUM, BMS_TEMPNUM};
uint16 avrgCellVol = 0;			 //ƽѹ
uint16 bmsHwVersion = 0;
uint32 bmsSwVersion = 0;
uint16 battCellU[BMS_CELLNUM];	 //صѹ
uint16 battI = 0;				 // BMStcpϴ
uint16 battPackVol = 0;			 // bmsѹ

uint16 maxCellVol = 0;			 //ѹ
uint16 minCellVol = 0;			 //Сѹ
uint16 socd_pct_vcuSoc = 0;		 // soc(tcpϴ0.1)
uint16 sohd_pct_bcuSoh = 0;		 // soh(tcpϴ0.1)
uint32 battBalanceoInfo = 0;  //
uint32 battProtectState = 0;	 // bms״̬
uint32 battWarningState = 0;	 // bms澯״̬
uint8 AvgBattTemp = 0;			 //ƽ¶
uint8 battCellTemp[BMS_TEMPNUM]; //¶
uint8 Battdesigncap = 0;		 //ذ
uint8 battHeatEnableState = 0;	 // bms״̬
uint8 battMOSSwitchState = 0;	 // bms mos״̬
uint8 battSOC = 0;				 // bmssoc
uint8 battSOH = 0;				 // bmssoh
uint8 battWorkState = 0;		 // bms״̬
uint8 BmsOtherTemp = 0;			 // BMS¶,û¶ȣΪ0
uint8 maxCellTemp = 0;			 //¶
uint8 minCellTemp = 0;			 //С¶
uint8 OtherTemp = 0;			 //ͨѶģ¶
uint8 battHeatState = 0;
uint8 battFanState = 0;
uint8 battRelayState = 0;
uint8 battConverState = 0;
uint8 battSeparateEnable = 0;
uint8 battSeparateEnableState = 0;
uint16 ErrorArray[5] = {0};
#endif
/*±ΪApp_CANر*/
#ifdef APP_CAN_ENABLE
// VCU
uint16 bmsHwVersion = 0;
uint32 bmsSwVersion = 0;
uint8 vehicleStatus = 0;
uint8 bmsHVOn = 0;
uint8 currentGearPosition = 0;
uint8 parkingBreakStatus = 0;
uint8 breakingStatus = 0;
uint32 ODO = 0;
uint8 dcdcWorkStatus = 0;
uint8 numOfChrgableSubsys = 0;
uint8 chrgableSubsysCode = 0;
uint8 ebcStatus = 0;
uint8 ebcAskHVOn = 0;
uint8 ebcAskHVOff = 0;
uint8 retainLockSignal = 0;
uint8 dischargeLockSignal = 0;
uint8 chargeLockSignal = 0;
uint8 chargeFlag = 0;
uint16 vcuDCVol = 0;
// Bcu
uint32 BcuInTable[130] = {
	0x1801EFF4,
	0x1801FBF4,
	0x1802FBF4,
	0x1803FBF4,
	0x1804FBF4,
	0x1805FBF4,
	0x1806FBF4,
	0x1807FBF4,
	0x1808FBF4,
	0x1809FBF4,
	0x180AFBF4,
	0x180BFBF4,
	0x180CFBF4,
	0x180DFBF4,
	0x180EFBF4,
	0x180FFBF4,
	0x1810FBF4,
	0x1811FBF4,
	0x1812FBF4,
	0x1813FBF4,
	0x1814FBF4,
	0x1815FBF4,
	0x1816FBF4,
	0x1817FBF4,
	0x1818FBF4,
	0x1819FBF4,
	0x181AFBF4,
	0x181BFBF4,
	0x181CFBF4,
	0x181DFBF4,
	0x181EFBF4,
	0x181FFBF4,
	0x1820FBF4,
	0x1821FBF4,
	0x1822FBF4,
	0x1823FBF4,
	0x1824FBF4,
	0x1825FBF4,
	0x1826FBF4,
	0x1827FBF4,
	0x1828FBF4,
	0x1829FBF4,
	0x182AFBF4,
	0x182BFBF4,
	0x182CFBF4,
	0x182DFBF4,
	0x182EFBF4,
	0x182FFBF4,
	0x1830FBF4,
	0x1831FBF4,
	0x1832FBF4,
	0x1833FBF4,
	0x1834FBF4,
	0x1835FBF4,
	0x1836FBF4,
	0x1837FBF4,
	0x1838FBF4,
	0x1839FBF4,
	0x183AFBF4,
	0x183BFBF4,
	0x183CFBF4,
	0x183DFBF4,
	0x183EFBF4,
	0x183FFBF4,
	0x1840FBF4,
	0x1841FBF4,
	0x1842FBF4,
	0x1843FBF4,
	0x1844FBF4,
	0x1845FBF4,
	0x1846FBF4,
	0x1847FBF4,
	0x1848FBF4,
	0x1849FBF4,
	0x184AFBF4,
	0x184BFBF4,
	0x184CFBF4,
	0x184DFBF4,
	0x184EFBF4,
	0x184FFBF4,
	0x1850FBF4,
	0x1851FBF4,
	0x1852FBF4,
	0x1853FBF4,
	0x1854FBF4,
	0x1855FBF4,
	0x1856FBF4,
	0x1857FBF4,
	0x1858FBF4,
	0x1859FBF4,
	0x185AFBF4,
	0x185BFBF4,
	0x185CFBF4,
	0x185DFBF4,
	0x185EFBF4,
	0x185FFBF4,
	0x1860FBF4,
	0x1881EFF4,
	0x1882EFF4,
	0x1883EFF4,
	0x1884EFF4,
	0x1885EFF4,
	0x1886EFF4,
	0x1887EFF4,
	0x1888EFF4,
	0x1889EFF4,
	0x18A0FBF4,
	0x18A1FBF4,
	0x18A2FBF4,
	0x18A3FBF4,
	0x18A4FBF4,
	0x18A5FBF4,
	0x18A6FBF4,
	0x18E1EFF4,
	0x18E2EFF4,
	0x18E3EFF4,
	0x18E4EFF4,
	0x18FEDAF4,
	0x18FF23F4,
	0x18FF24F4,
	0x18FF25F4,
	0x18FF30F4,
	0x18FF45F4,
	0x18FFC13A,
	0x18FFD4F4,
	0x18FFD5F4,
	0x18FFD6F4,
	0x18FFD7F4,
	0x18FFD8F4,
	0x18FFD9F4,
};
bool BcuRxShortError[130];
bool BcuRxLongError[130];
uint8 BcuRxErrorCounter[130];
uint8 BcuRxFlag[130];
/************************************************************
 *BCU->4G
 ************************************************************/
uint8 BMS13_ReqVIN = 0x00;						   // BMSVIN־0- 1-󣬾_1ƫ_0λ_
uint8 BMS11_Fult1_DelTemp = 0x00;				   //о²쳣0-  1-1 ΢ 2-2 ع 3-3 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_OverTemp = 0x00;				   //о¶ȹ߱0-  1-1 ΢ 2-2 ع 3-3 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_PackOverHVolt = 0x00;			   // PACKѹ0-  1-1 ΢ 2-2 ع 3-3 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_PackLowHVolt = 0x00;			   // PACKǷѹ0-  1-1 ΢ 2-2 ع 3-4 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_LowSOC = 0x00;				   // SOCͱ0-  1-1 ΢ 2-2 ع 3-5 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_OverUcell = 0x00;				   //ѹ߱0-  1-1 ΢ 2-2 ع 3-6 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_LowUcell = 0x00;				   //ѹǷѹ0-  1-1 ΢ 2-2 ع 3-7 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_LowInsRes = 0x00;				   //Ե0-  1-1 ΢ 2-2 ع 3-8 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_UcellUniformity = 0x00;		   //һԲ0-  1-1 ΢ 2-2 ع 3-9 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_OverChg = 0x00;				   //شװù䱨0-  1-1 ΢ 2-2 ع 3-10 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_OverSOC = 0x00;				   // SOC߱0-  1-1 ΢ 2-2 ع 3-11 عϣ_1ƫ_0λ_
uint8 BMS11_Fult1_SOCChangeFast = 0x00;			   // SOC䱨0-  1-ϣ_1ƫ_0λ_
uint8 BMS11_Fult1_BatSysNotMatch = 0x00;		   //ɳ索ϵͳƥ䱨0-  1-ϣ_1ƫ_0λ_
uint8 BMS11_Fult1_HVILFault = 0x00;				   //ѹ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_FaultNum = 0x00;				   // BMSǰĹĿGB32960й涨ĹĿ _1ƫ_0λ_
uint8 BMS12_Fult2_CellOverDischrg = 0x00;		   //оŹϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_CellLowTemp = 0x00;			   //о±0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_PackFireWarning = 0x00;		   //ذֱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_OverDischrgCurr = 0x00;		   //ŵޱ0-  1-1 ΢ 2-2 ع 3-11 عϣ_1ƫ_0λ_
uint8 BMS12_Fult2_OverChrgCurrInTheDrive = 0x00;   //سޱ0-  1-1 ΢ 2-2 ع 3-11 عϣ_1ƫ_0λ_
uint8 BMS12_Fult2_CurrSensorErr = 0x00;			   //ϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_PowerSupplyErr = 0x00;		   // BMSѹѹ쳣0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_TMSErr = 0x00;				   //ȹϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_HeatingFilmErr = 0x00;		   //ĤȻ·ϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_PackSelfProtect = 0x00;		   //ذԱϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_MainLoopPrechrgErr = 0x00;	   //·ԤԤϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_AuxLoopPrechrgErr = 0x00;		   //·ԤԤϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ChrgInsLowErr = 0x00;			   //Եֵͣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ACANLost = 0x00;				   // ACANͨѶϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_InnerCommunicationErr = 0x00;	   // BMSڲͨŹϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCDCErr = 0x00;				   // BMS-DC-DCϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_BranchBreakErr = 0x00;		   //֧··ϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_HeatRelayOpenErr = 0x00;		   //ĤTMSӴ޷պϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_HeatRelayWeldErr = 0x00;		   //ĤTMSӴ޷Ͽ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_MainPosRelayOpenErr = 0x00;	   //Ӵ޷պϹϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_MainPosRelayWeldErr = 0x00;	   //Ӵ޷Ͽϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_MainNegRelayOpenErr = 0x00;	   //Ӵ޷պϹϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_MainNegRelayWeldErr = 0x00;	   //Ӵ޷Ͽϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgPos1RelayOpenErr = 0x00;   //ֱAӴ޷պϹϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgPos1RelayWeldErr = 0x00;   //ֱAӴ޷Ͽϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgNeg1RelayOpenErr = 0x00;   //ֱAӴ޷պϹϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgNeg1RelayWeldErr = 0x00;   //ֱAӴ޷Ͽϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgPos2RelayOpenErr = 0x00;   //ֱBӴ޷պϹϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgPos2RelayWeldErr = 0x00;   //ֱBӴ޷Ͽϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgNeg2RelayOpenErr = 0x00;   //ֱBӴ޷պϹϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_DCChrgNeg2RelayWeldErr = 0x00;   //ֱBӴ޷Ͽϱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ChrgConnectErr = 0x00;		   //ǹź쳣0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_ult2_OverDischrgCurrWhenInChrg = 0x00; //ʱŵ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_OverChrgCurrInTheChrg = 0x00;	   //ޱ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ChrgNTCErr = 0x00;			   //NTCϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ChrgNTCTempOver = 0x00;		   //±0-  1-1 ΢ 2-2 ع 3-3 عϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ELockErr = 0x00;				   //ϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_FireDetectorEr = 0x00;		   //̽ϣ0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ContiDischrgCurrOverLoad = 0x00; //سϣ0-  1-1 ΢ 2-2 ع 3-11 عϣ_1ƫ_0λ_
uint8 BMS12_Fult2_SOCDifferErr = 0x00;			   // SOC0-  1-ϣ_1ƫ_0λ_
uint8 BMS12_Fult2_ContiChrgCurrOverLoad = 0x00;	   //ŵϣ0-  1-1 ΢ 2-2 ع 3-11 عϣ_1ƫ_0λ_
uint8 BMS1_MainPosRelaySt = 0x00;				   //̵״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_MainNegRelaySt = 0x00;				   //̵״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_PreChgRelaySt = 0x00;				   //Ԥ̵״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_DCChrgPos1RelaySt = 0x00;			   //̵ֱ1״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_DCChrgNeg1RelaySt = 0x00;			   //ֱ为̵1״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_DCChrgPos2RelaySt = 0x00;			   //̵ֱ2״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_DCChrgNeg2RelaySt = 0x00;			   //ֱ为̵2״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_HeatPosRelaySt = 0x00;				   //̵״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_HeatNegRelaySt = 0x00;				   //ȸ̵״̬0-Ԥ 1-Ͽ 2-  _1ƫ_0λ_
uint8 BMS1_SysSts = 0x00;						   //عϵͳ״̬0-ʼ 1-Լϵ 2-״̬ 3-ѹж 4-״̬_1ƫ_0λ_
uint8 BMS1_Life = 0x00;							   // BMSź _1ƫ_1λ_
uint8 BMS1_BalanceStatus = 0x00;				   // BMSǰ״̬0-δ 1-У_1ƫ_0λ_
uint8 BMS1_DCChrgConnectSt = 0x00;				   //ֱǹ״̬0-δ 1-ǹ 2-˫ǹ 3-Ч_1ƫ_0λ_
uint8 BMS1_ChrgMode = 0x00;						   // BMSǰģʽ0-δ 1-ֱ 2- 3-ģʽ_1ƫ_0λ_
uint8 BMS1_ChrgStatus = 0x00;					   //״̬0-δ 1- 2- 3-ϣ_1ƫ_0λ_
uint8 BMS1_HeatingStatus = 0x00;				   //ǰ״̬0-δ 1-У_1ƫ_0λ_
uint8 BMS1_CoolingStatus = 0x00;				   //ǰȴ״̬0-δȴ 1-ȴУ_1ƫ_0λ_
uint8 BMS2_SOC = 0x00;							   //ذSOC _0.4ƫ_0λ_
uint8 BMS2_SOH = 0x00;							   //ذSOH _0.4ƫ_0λ_
uint8 BMS2_FaultCode = 0x00;					   //룬BMS_ErrCode_1ƫ_0λ_
uint8 BMS2_FaultLevel = 0x00;					   //ǰ߹ϵȼ0- 1-1 ΢ 2-2 ع 3-3 عϣ_1ƫ_0λ_
uint8 BMS2_RqHVPoerOff = 0x00;					   // BMS¸ѹ0-Ч 1-¸ѹ 2-¸ѹ 3-Ч_1ƫ_0λ_
uint8 BMS2_Life = 0x00;							   // BMSź _1ƫ_0λ_
uint8 BMS4_InsDetectorSt = 0x00;				   // BMSԵ״̬0-ֹͣ  1-⣬_1ƫ_0λ_
uint8 BMS8_Max_Temp = 0x00;						   //¶ _1ƫ_-40λ_
uint8 BMS8_Min_Temp = 0x00;						   //¶ _1ƫ_-40λ_
uint8 BMS8_Avg_Temp = 0x00;						   //ƽ¶ _1ƫ_-40λ_
uint8 BMS8_MaxTempSysNr = 0x00;					   //¶ϵͳ _1ƫ_0λ_
uint8 BMS8_MaxTempNr = 0x00;					   //¶̽뵥 _1ƫ_0λ_
uint8 BMS8_MinTempSysNr = 0x00;					   //¶ϵͳ _1ƫ_0λ_
uint8 BMS8_MinTempNr = 0x00;					   //¶̽ϵͳ _1ƫ_0λ_
uint8 BMS7_MaxUcellSysNr = 0x00;				   //ߵѹϵͳ _1ƫ_0λ_
uint8 BMS7_MinUcellSysNr = 0x00;				   //͵ѹϵͳ _1ƫ_0λ_
uint8 BMS23_Gun1DCPosTemp = 0x00;				   // AǹDC+¶ȴ¶ _1ƫ_-40λ_
uint8 BMS23_Gun1DCNegTemp = 0x00;				   // AǹDC-¶ȴ¶ _1ƫ_-40λ_
uint8 BMS23_Gun2DCPosTemp = 0x00;				   // BǹDC+¶ȴ¶ _1ƫ_-40λ_
uint8 BMS23_Gun2DCNegTemp = 0x00;				   // BǹDC-¶ȴ¶ _1ƫ_-40λ_
uint8 BMS_Cell_TempN[BMS_TEMP_MAX_NUM] = {0x00};				   //¶ȱ
uint8 BMS_SN_SysCode[24] = {0x00};				   //ʵSN
uint8 BMS21_BattType = 0x00;					   //ͣ1 -Ǧ 2 - 3 -﮵  4 -﮵ 5 -﮵ 6 -Ԫϵ  7 -ۺӵ 8 -﮵  9- 15-شװã_1ƫ_0λ_
uint8 BMS21_CoolType = 0x00;					   //ȴʽ0-ȴʽ 1-Ȼȴ 2-ȴ 3-ˮȴ_1ƫ_0λ_
uint8 BMS21_Manufacture = 0x00;					   //سң1-CATL 2-LS 3-MGL 4-SAMSUN 5-LG 6-GXGK 7-SUNWODA 8-Others_1ƫ_0λ_
uint8 BMS21_ProtocolEditionH = 0x00;			   //ͨѶЭ汾λ - 汾Ϊ3 .1˴3 _1ƫ_0λ_
uint8 BMS21_ProtocolEditionL = 0x00;			   //ͨѶЭ汾λ - 汾Ϊ3 .1˴1 _1ƫ_0λ_
uint8 BMS9_TotCSCNum = 0x00;					   //ϵͳCSCܵĿ _1ƫ_0λ_
uint8 BMS9_PackTotTempNum = 0x00;				   // PACKео¶ȵ(̽)Ŀ _1ƫ_0λ_
uint8 BMS9_HVBranchNum = 0x00;					   //ϵͳѹ֧· _1ƫ_0λ_
uint8 BMS9_SingleHVBranchCellNum = 0x00;		   //ϵͳ֧·о _1ƫ_0λ_
uint8 BMS9_BattSysNum = 0x00;					   //ɳ索ϵͳĿEVĬ1GB32960Ҫ _1ƫ_0λ_
uint8 BMS9_BattSysSeqNum = 0x00;				   //ɳ索ϵͳţEVĬ1GB32960Ҫ _1ƫ_0λ_
uint8 BMS22_AvaiMaxSOC = 0x00;					   // PACKSOC(ݼЭ) _0.4ƫ_0λ_
uint8 BMS22_AvaiMinSOC = 0x00;					   // PACKSOC(ݼЭ) _0.4ƫ_0λ_
uint8 BMS22_AvaiMaxTemp = 0x00;					   // PACK¶(ݼЭ) _1ƫ_-40λ_
uint8 BMS22_AvaiMinTemp = 0x00;					   // PACK¶(ݼЭ) _1ƫ_-40λ_
uint8 BMS10_SubSysEncodingLen = 0x00;			   //ɳ索ϵͳ볤 _1ƫ_0λ_
uint8 BMS10_SubSysIdx = 0x00;					   //ɳ索ϵͳ _1ƫ_0λ_
uint8 BMS10_SubSysErrNum = 0x00;				   //ɳ索װù _1ƫ_0λ_
uint8 BMS28_ReqMode = 0x00;						   // BMS趨ģʽ0-ػģʽ 1-ģʽ 2-ģʽ 3-ѭģʽ_1ƫ_0λ_
uint8 BMS28_HVCmd = 0x00;						   //ѹ0-ϸѹ 1-¸ѹ_1ƫ_0λ_
uint8 BMS28_ChgSts = 0x00;						   //״̬0-ǳ 1-磬_1ƫ_0λ_
uint8 BMS28_HVRelaySts = 0x00;					   // BMSѹ̵״̬0-Ͽ״̬ 1-պ״̬_1ƫ_0λ_
uint8 BMS28_SetTemp = 0x00;						   //趨¶ _1ƫ_-40λ_
uint8 BMS28_Life = 0x00;						   // BMS֡ _1ƫ_0λ_
uint8 BMS28_CRC = 0x00;							   // CRCУֵ _1ƫ_0λ_
uint8 TMS_WorkStatus = 0x00;					   // TMS״̬0-ػģʽ 1-ģʽ 2-ģʽ 3-ѭģʽ_1ƫ_0λ_
uint8 TMS_HVRelayST = 0x00;						   // TMSѹ̵״̬0-Ͽ״̬ 1-պ״̬_1ƫ_0λ_
uint8 TMS_OutletTemp = 0x00;					   //ˮ¶ȣ鵽أ _1ƫ_-40λ_
uint8 TMS_InletTemp = 0x00;						   //ˮ¶ȣص飩 _1ƫ_-40λ_
uint8 TMS_Version = 0x00;						   // TMS汾 _0.1ƫ_0λ_
uint8 TMS_ErrCode = 0x00;						   // TMS룬_1ƫ_0λ_
uint8 TMS_FaultLevel = 0x00;					   // TMSȼ0-Ч 1-1 2-2 3-3ϣ_1ƫ_0λ_
uint8 BCU_SnMsgFlag = 0x00;						   // SNȫ־λ
uint16 BMS_Cell_Volt[BMS_CELL_MAX_NUM] = {0x00};				   //оѹ
uint16 BMS11_PackOutsideVolt = 0x00;			   //ذѹ _0.1ƫ_0λ_V
uint16 BMS2_PackCurrent = 0x00;					   //ذܵΪֵŵΪֵ _0.1ƫ_-1000λ_A
uint16 BMS2_PackInsideVolt = 0x00;				   //ذڲѹ _0.1ƫ_0λ_V
uint16 BMS4_PosIsolation = 0x00;				   //ĸԳԵ _1ƫ_0λ_K
uint16 BMS4_NegIsolation = 0x00;				   //ĸ߸ԳԵ _1ƫ_0λ_K
uint16 BMS4_SysInsRes = 0x00;					   //ϵͳԵ _1ƫ_0λ_K
uint16 BMS6_Max_Ucell = 0x00;					   //ߵѹֵ _0.001ƫ_0λ_V
uint16 BMS6_Min_Ucell = 0x00;					   //͵ѹֵ _0.001ƫ_0λ_V
uint16 BMS6_Avg_Ucell = 0x00;					   //ѹƽֵ _0.001ƫ_0λ_V
uint16 BMS6_SOE = 0x00;							   //ʣ(SOE) _0.01ƫ_0λ_Kwh
uint16 BMS7_MaxUcellNr = 0x00;					   //ߵѹص _1ƫ_0λ_
uint16 BMS7_MinUcellNr = 0x00;					   //͵ѹص _1ƫ_0λ_
uint16 BMS23_RemainChgTi = 0x00;				   //ʣʱ _1ƫ_0λ_min
uint16 BMS21_RateCap = 0x00;					   //ذ _0.1ƫ_0λ_Ah
uint16 BMS21_RateHVolt = 0x00;					   //ذѹ _0.1ƫ_0λ_V
uint16 BMS21_RatePower = 0x00;					   //ذ _0.1ƫ_0λ_kWh
uint16 BMS9_PackTotCellNum = 0x00;				   // PACKеоĿ _1ƫ_0λ_
uint16 BMS22_PackAvaiMaxVolt = 0x00;			   // PACKõѹ(ݼЭ) _0.1ƫ_0λ_V
uint16 BMS22_PackAvaiMinVolt = 0x00;			   // PACKõѹ(ݼЭ) _0.1ƫ_0λ_V
uint16 BMS_SoftwareVersion = 0x00;				   //汾 _0.1ƫ_0λ_
uint16 BMS_HardwareVersion = 0x00;				   //Ӳ汾 _0.1ƫ_0λ_
uint16 BMS3_MaxDischgPow = 0x00;				   //ŵ繦 _0.1ƫ_0λ_Kw
uint16 BMS3_MaxChgPow = 0x00;					   //繦 _0.1ƫ_0λ_Kw
uint16 BMS3_MaxInstantDischgPow = 0x00;			   //˲ʱŵ繦 _0.1ƫ_0λ_Kw
uint16 BMS3_MaxiInstantChgPow = 0x00;			   //˲ʱ繦 _0.1ƫ_0λ_Kw
uint16 BMS5_DischgCurMaxAllw = 0x00;			   //ŵ _0.1ƫ_-1000λ_A
uint16 BMS5_ChrgCurMaxAllw = 0x00;				   // _0.1ƫ_-1000λ_A
uint16 BMS5_InstChrgCurMaxAllw = 0x00;			   //˲ʱ _0.1ƫ_-1000λ_A
uint16 BMS5_InstDischrgCurMaxAllw = 0x00;		   //˲ʱŵ _0.1ƫ_-1000λ_A
uint16 BMS26_Bat_InstantConsume = 0x00;			   //˲ʱܺ _0.1ƫ_0λ_Wh
uint16 BMS26_Bat_TotalConsume = 0x00;			   //ܺ _0.1ƫ_0λ_Wh
uint16 BMS26_ChgReqVoltage = 0x00;				   //ѹ _0.1ƫ_0λ_V
uint16 BMS26_ChgReqCurrent = 0x00;				   // _0.1ƫ_-1000λ_A
uint16 BMS28_HVVolt = 0x00;						   // BMSǰѹ _1ƫ_0λ_
uint16 TMS_ReqPow = 0x00;						   // TMS _0.1ƫ_0λ_Kw
uint32 BMS1_RechrgCycels = 0x00;				   // _1ƫ_0λ_
uint32 BMS14_TotalChargeAh = 0x00;				   //ۻAh  _0.1ƫ_0λ_Ah
uint32 BMS14_TotalDischargeAh = 0x00;			   //ۻųAh  _0.1ƫ_0λ_Ah
uint32 BMS15_TotalChargeKwh = 0x00;				   //ۼƳkWh  _0.1ƫ_0λ_KWh
uint32 BMS15_TotalDischargeKwh = 0x00;			   //ۼƷųkWh  _0.1ƫ_0λ_KWh
uint32 BMS16_TotalEneryECOChargeAh = 0x00;		   //ۼƶܻAh  _0.1ƫ_0λ_Ah
uint32 BMS16_TotalEneryECOChargeKwh = 0x00;		   //ۼƶܻkWh  _0.1ƫ_0λ_KWh
uint32 BMS17_TotalStationChargeAh = 0x00;		   //ۼƻվAh  _0.1ƫ_0λ_Ah
uint32 BMS17_TotalStationChargeKwh = 0x00;		   //ۼƻվkWh  _0.1ƫ_0λ_KWh
uint32 BMS18_TotalPoleChargeAh = 0x00;			   //ۼƲǹAh  _0.1ƫ_0λ_Ah
uint32 BMS18_TotalPoleChargeKwh = 0x00;			   //ۼƲǹkWh  _0.1ƫ_0λ_KWh
uint32 BMS19_SingleChargeAh = 0x00;				   //γAh  _0.1ƫ_0λ_Ah
uint32 BMS19_SingleChargeKwh = 0x00;			   //γkWh  _0.1ƫ_0λ_KWh
#endif
