/*
 * @Author       : ChenJie
 * @Date         : 2022-01-23 13:45:09
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-02-23 17:02:37
 * @Description  : file content
 * @FilePath     : \S32K146_4G\src\AppGlobalVar.h
 */
/*
 * AppGlobal.h
 *Ӧòȫֱ
 *  Created on: 2022119
 *      Author: QiXiang_CHENJIE
 */
#ifndef APPGLOBALVAR_H_
#define APPGLOBALVAR_H_

//#define APP_UART0_ENABLE //ƽĿ
#define APP_CAN_ENABLE //ؿĿ

#include "hal_adapter.h"
// test Var
//#define defaultSn "GYTEST00000000001"
#define defaultSn "SPFPFL264S223H000"

#define HWVERSION 0x0001
#define BLSWVERSION 0x00000001
#define DRVSWVERSION 0x00000001
#define APPSWVERSION 0x00000002
#define BMS_MANUFACTURE 0xFF
#define BMS_INFO 0xFF
#define DATA_MODULE_TYPE 0x02

#define BMS_CELL_MAX_NUM 384
#define BMS_TEMP_MAX_NUM 64
//*ȫֱ*//

extern uint8 TcpbattSN[17];
extern uint8 VIN[17];
extern volatile uint32 TimerCounter;
typedef struct
{
    uint8 RealLen;
    uint8 *DataPtr;
} QueueDataTrans_Type;
/*GPS*/
extern QueueHandle_t GpsDataQueueHandle;
extern sint16 xyzData[3];
/*Hal_Can*/
extern uint8 CanIf_u8TxConfirmCnt;
extern boolean CanIf_bTxFlag;
extern uint8 CanIf_u8RxIndicationCnt;
extern boolean CanIf_bRxFlag;
extern QueueHandle_t CanRecvQueueHandle;

/*±ΪTCPر*/
extern uint8 CSQValue;
extern sint8 SocketId;
extern char WebSiteIp[15];
extern const char WebSiteName[];
extern const uint16 WebSitePort;
extern char ImeiNum[15];
extern char IccidNum[20];

VAR_ALIGN(extern uint8 dataWrTestPatt[EEP_WRTESTPATT_SIZE],4)
VAR_ALIGN(extern uint8 BufferRead[EEP_WRTESTPATT_SIZE],4)

/*±ΪЭر*/
#ifdef APP_UART0_ENABLE
#define BMS_CELLNUM 120
#define BMS_TEMPNUM 80
typedef struct _AppDataType
{
    uint8 BattCellCount; //ģ
    uint8 BattTempCount; //¶ȸ
} AppDataBody;
extern AppDataBody AppDataInfo;
extern uint16 avrgCellVol;              //ƽѹ
extern uint16 battCellU[BMS_CELLNUM];   //صѹ
extern uint16 battI;                    // BMStcpϴ
extern uint16 bmsHwVersion;
extern uint32 bmsSwVersion;
extern uint16 battPackVol;              // bmsѹ

extern uint16 maxCellVol;               //ѹ
extern uint16 minCellVol;               //Сѹ
extern uint16 socd_pct_vcuSoc;          // soc(tcpϴ0.1)
extern uint16 sohd_pct_bcuSoh;          // soh(tcpϴ0.1)
extern uint32 battBalanceoInfo;
extern uint32 battProtectState;         // bms״̬
extern uint32 battWarningState;         // bms澯״̬
extern uint8 AvgBattTemp;               //ƽ¶
extern uint8 battCellTemp[BMS_TEMPNUM]; //¶
extern uint8 Battdesigncap;             //ذ
extern uint8 battHeatEnableState;       // bmsʹ״̬
extern uint8 battMOSSwitchState;        // bms mos״̬
extern uint8 battSOC;                   // bmssoc
extern uint8 battSOH;                   // bmssoh
extern uint8 battWorkState;             // bms״̬
extern uint8 BmsOtherTemp;              // BMS¶
extern uint8 maxCellTemp;               //¶
extern uint8 minCellTemp;               //С¶
extern uint8 OtherTemp;                 //ͨѶģ¶
extern uint8 battHeatState ;
extern uint8 battFanState ;
extern uint8 battRelayState ;
extern uint8 battConverState ;
extern uint8 battSeparateEnable ;
extern uint8 battSeparateEnableState ;
extern uint16 ErrorArray[5];
#endif
/*±ΪApp_CANر*/
#ifdef APP_CAN_ENABLE
extern uint16 bmsHwVersion;
extern uint32 bmsSwVersion;
extern uint8 vehicleStatus;
extern uint8 bmsHVOn;
extern uint8 currentGearPosition;
extern uint8 parkingBreakStatus;
extern uint8 breakingStatus;
extern uint32 ODO;
extern uint8 dcdcWorkStatus;
extern uint8 numOfChrgableSubsys;
extern uint8 chrgableSubsysCode;
extern uint8 ebcStatus;
extern uint8 ebcAskHVOn;
extern uint8 ebcAskHVOff;
extern uint8 retainLockSignal;
extern uint8 dischargeLockSignal;
extern uint8 chargeLockSignal;
extern uint8 chargeFlag;
extern uint16 vcuDCVol;
// BCU
extern uint32 BcuInTable[130];
extern bool BcuRxShortError[130];
extern bool BcuRxLongError[130];
extern uint8 BcuRxErrorCounter[130];
extern uint8 BcuRxFlag[130];
extern uint8 BMS13_ReqVIN;
extern uint8 BMS11_Fult1_DelTemp;
extern uint8 BMS11_Fult1_OverTemp;
extern uint8 BMS11_Fult1_PackOverHVolt;
extern uint8 BMS11_Fult1_PackLowHVolt;
extern uint8 BMS11_Fult1_LowSOC;
extern uint8 BMS11_Fult1_OverUcell;
extern uint8 BMS11_Fult1_LowUcell;
extern uint8 BMS11_Fult1_LowInsRes;
extern uint8 BMS11_Fult1_UcellUniformity;
extern uint8 BMS11_Fult1_OverChg;
extern uint8 BMS11_Fult1_OverSOC;
extern uint8 BMS11_Fult1_SOCChangeFast;
extern uint8 BMS11_Fult1_BatSysNotMatch;
extern uint8 BMS11_Fult1_HVILFault;
extern uint8 BMS12_Fult2_FaultNum;
extern uint8 BMS12_Fult2_CellOverDischrg;
extern uint8 BMS12_Fult2_CellLowTemp;
extern uint8 BMS12_Fult2_PackFireWarning;
extern uint8 BMS12_Fult2_OverDischrgCurr;
extern uint8 BMS12_Fult2_OverChrgCurrInTheDrive;
extern uint8 BMS12_Fult2_CurrSensorErr;
extern uint8 BMS12_Fult2_PowerSupplyErr;
extern uint8 BMS12_Fult2_TMSErr;
extern uint8 BMS12_Fult2_HeatingFilmErr;
extern uint8 BMS12_Fult2_PackSelfProtect;
extern uint8 BMS12_Fult2_MainLoopPrechrgErr;
extern uint8 BMS12_Fult2_AuxLoopPrechrgErr;
extern uint8 BMS12_Fult2_ChrgInsLowErr;
extern uint8 BMS12_Fult2_ACANLost;
extern uint8 BMS12_Fult2_InnerCommunicationErr;
extern uint8 BMS12_Fult2_DCDCErr;
extern uint8 BMS12_Fult2_BranchBreakErr;
extern uint8 BMS12_Fult2_HeatRelayOpenErr;
extern uint8 BMS12_Fult2_HeatRelayWeldErr;
extern uint8 BMS12_Fult2_MainPosRelayOpenErr;
extern uint8 BMS12_Fult2_MainPosRelayWeldErr;
extern uint8 BMS12_Fult2_MainNegRelayOpenErr;
extern uint8 BMS12_Fult2_MainNegRelayWeldErr;
extern uint8 BMS12_Fult2_DCChrgPos1RelayOpenErr;
extern uint8 BMS12_Fult2_DCChrgPos1RelayWeldErr;
extern uint8 BMS12_Fult2_DCChrgNeg1RelayOpenErr;
extern uint8 BMS12_Fult2_DCChrgNeg1RelayWeldErr;
extern uint8 BMS12_Fult2_DCChrgPos2RelayOpenErr;
extern uint8 BMS12_Fult2_DCChrgPos2RelayWeldErr;
extern uint8 BMS12_Fult2_DCChrgNeg2RelayOpenErr;
extern uint8 BMS12_Fult2_DCChrgNeg2RelayWeldErr;
extern uint8 BMS12_Fult2_ChrgConnectErr;
extern uint8 BMS12_ult2_OverDischrgCurrWhenInChrg;
extern uint8 BMS12_Fult2_OverChrgCurrInTheChrg;
extern uint8 BMS12_Fult2_ChrgNTCErr;
extern uint8 BMS12_Fult2_ChrgNTCTempOver;
extern uint8 BMS12_Fult2_ELockErr;
extern uint8 BMS12_Fult2_FireDetectorEr;
extern uint8 BMS12_Fult2_ContiDischrgCurrOverLoad;
extern uint8 BMS12_Fult2_SOCDifferErr;
extern uint8 BMS12_Fult2_ContiChrgCurrOverLoad;
extern uint8 BMS1_MainPosRelaySt;
extern uint8 BMS1_MainNegRelaySt;
extern uint8 BMS1_PreChgRelaySt;
extern uint8 BMS1_DCChrgPos1RelaySt;
extern uint8 BMS1_DCChrgNeg1RelaySt;
extern uint8 BMS1_DCChrgPos2RelaySt;
extern uint8 BMS1_DCChrgNeg2RelaySt;
extern uint8 BMS1_HeatPosRelaySt;
extern uint8 BMS1_HeatNegRelaySt;
extern uint8 BMS1_SysSts;
extern uint8 BMS1_Life;
extern uint8 BMS1_BalanceStatus;
extern uint8 BMS1_DCChrgConnectSt;
extern uint8 BMS1_ChrgMode;
extern uint8 BMS1_ChrgStatus;
extern uint8 BMS1_HeatingStatus;
extern uint8 BMS1_CoolingStatus;
extern uint8 BMS2_SOC;
extern uint8 BMS2_SOH;
extern uint8 BMS2_FaultCode;
extern uint8 BMS2_FaultLevel;
extern uint8 BMS2_RqHVPoerOff;
extern uint8 BMS2_Life;
extern uint8 BMS4_InsDetectorSt;
extern uint8 BMS8_Max_Temp;
extern uint8 BMS8_Min_Temp;
extern uint8 BMS8_Avg_Temp;
extern uint8 BMS8_MaxTempSysNr;
extern uint8 BMS8_MaxTempNr;
extern uint8 BMS8_MinTempSysNr;
extern uint8 BMS8_MinTempNr;
extern uint8 BMS7_MaxUcellSysNr;
extern uint8 BMS7_MinUcellSysNr;
extern uint8 BMS23_Gun1DCPosTemp;
extern uint8 BMS23_Gun1DCNegTemp;
extern uint8 BMS23_Gun2DCPosTemp;
extern uint8 BMS23_Gun2DCNegTemp;
extern uint8 BMS_Cell_TempN[64];
extern uint8 BMS_SN_SysCode[24];
extern uint8 BMS21_BattType;
extern uint8 BMS21_CoolType;
extern uint8 BMS21_Manufacture;
extern uint8 BMS21_ProtocolEditionH;
extern uint8 BMS21_ProtocolEditionL;
extern uint8 BMS9_TotCSCNum;
extern uint8 BMS9_PackTotTempNum;
extern uint8 BMS9_HVBranchNum;
extern uint8 BMS9_SingleHVBranchCellNum;
extern uint8 BMS9_BattSysNum;
extern uint8 BMS9_BattSysSeqNum;
extern uint8 BMS22_AvaiMaxSOC;
extern uint8 BMS22_AvaiMinSOC;
extern uint8 BMS22_AvaiMaxTemp;
extern uint8 BMS22_AvaiMinTemp;
extern uint8 BMS10_SubSysEncodingLen;
extern uint8 BMS10_SubSysIdx;
extern uint8 BMS10_SubSysErrNum;
extern uint8 BMS28_ReqMode;
extern uint8 BMS28_HVCmd;
extern uint8 BMS28_ChgSts;
extern uint8 BMS28_HVRelaySts;
extern uint8 BMS28_SetTemp;
extern uint8 BMS28_Life;
extern uint8 BMS28_CRC;
extern uint8 TMS_WorkStatus;
extern uint8 TMS_HVRelayST;
extern uint8 TMS_OutletTemp;
extern uint8 TMS_InletTemp;
extern uint8 TMS_Version;
extern uint8 TMS_ErrCode;
extern uint8 TMS_FaultLevel;
extern uint8 BCU_SnMsgFlag;
extern uint16 BMS_Cell_Volt[384];
extern uint16 BMS11_PackOutsideVolt;
extern uint16 BMS2_PackCurrent;
extern uint16 BMS2_PackInsideVolt;
extern uint16 BMS4_PosIsolation;
extern uint16 BMS4_NegIsolation;
extern uint16 BMS4_SysInsRes;
extern uint16 BMS6_Max_Ucell;
extern uint16 BMS6_Min_Ucell;
extern uint16 BMS6_Avg_Ucell;
extern uint16 BMS6_SOE;
extern uint16 BMS7_MaxUcellNr;
extern uint16 BMS7_MinUcellNr;
extern uint16 BMS23_RemainChgTi;
extern uint16 BMS21_RateCap;
extern uint16 BMS21_RateHVolt;
extern uint16 BMS21_RatePower;
extern uint16 BMS9_PackTotCellNum;
extern uint16 BMS22_PackAvaiMaxVolt;
extern uint16 BMS22_PackAvaiMinVolt;
extern uint16 BMS_SoftwareVersion;
extern uint16 BMS_HardwareVersion;
extern uint16 BMS3_MaxDischgPow;
extern uint16 BMS3_MaxChgPow;
extern uint16 BMS3_MaxInstantDischgPow;
extern uint16 BMS3_MaxiInstantChgPow;
extern uint16 BMS5_DischgCurMaxAllw;
extern uint16 BMS5_ChrgCurMaxAllw;
extern uint16 BMS5_InstChrgCurMaxAllw;
extern uint16 BMS5_InstDischrgCurMaxAllw;
extern uint16 BMS26_Bat_InstantConsume;
extern uint16 BMS26_Bat_TotalConsume;
extern uint16 BMS26_ChgReqVoltage;
extern uint16 BMS26_ChgReqCurrent;
extern uint16 BMS28_HVVolt;
extern uint16 TMS_ReqPow;
extern uint32 BMS1_RechrgCycels;
extern uint32 BMS14_TotalChargeAh;
extern uint32 BMS14_TotalDischargeAh;
extern uint32 BMS15_TotalChargeKwh;
extern uint32 BMS15_TotalDischargeKwh;
extern uint32 BMS16_TotalEneryECOChargeAh;
extern uint32 BMS16_TotalEneryECOChargeKwh;
extern uint32 BMS17_TotalStationChargeAh;
extern uint32 BMS17_TotalStationChargeKwh;
extern uint32 BMS18_TotalPoleChargeAh;
extern uint32 BMS18_TotalPoleChargeKwh;
extern uint32 BMS19_SingleChargeAh;
extern uint32 BMS19_SingleChargeKwh;
#endif
#endif /* APPGLOBALVAR_H_ */
