/*
 * AppTaskMain.c
 *
 *  Created on: 2022222
 *      Author: QiXiang_CHENJIE
 */

#include "AppTaskMain.h"
static void vTimerCallback(TimerHandle_t pxTimer);
void MainTask(void *pvParameters)
{
	(void)pvParameters;
	TimerHandle_t monitorTimer;
	monitorTimer = xTimerCreate("monitor",10,pdTRUE,(void *)0,vTimerCallback);
	xTimerStart(monitorTimer,0);
	TimerHandle_t monitorTimer1ms;
	monitorTimer1ms = xTimerCreate("monitor1ms",1,pdTRUE,(void *)0,vTimer1msCallback);
	xTimerStart(monitorTimer1ms,0);
	while(1)
	{
		vTaskDelay(pdMS_TO_TICKS(10));
		if(HAL_Is100msTickTimeout())
		{
			if(IsFeedWdg == TRUE)
			{
				WATCHDOG_HAL_Feed();
			}
		}
	}
}
static void vTimerCallback(TimerHandle_t pxTimer)
{
	uint32 ulTimerID;
	ulTimerID = (uint32)pvTimerGetTimerID(pxTimer);
	if(ulTimerID==0)
	{
		TimerCounter = TimerCounter + 10;
	}
}
